summaryrefslogtreecommitdiffstats
path: root/source/d/rust/rust.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/rust/rust.SlackBuild')
-rwxr-xr-xsource/d/rust/rust.SlackBuild11
1 files changed, 9 insertions, 2 deletions
diff --git a/source/d/rust/rust.SlackBuild b/source/d/rust/rust.SlackBuild
index 189d1c0f9..e84d9824c 100755
--- a/source/d/rust/rust.SlackBuild
+++ b/source/d/rust/rust.SlackBuild
@@ -27,11 +27,11 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=rust
SRCNAM="${PKGNAM}c"
VERSION=${VERSION:-1.43.0}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Set this to YES to build with the system LLVM, or NO to use the bundled LLVM.
# YES is probably better (when it works...)
-SYSTEM_LLVM=${SYSTEM_LLVM:-NO}
+SYSTEM_LLVM=${SYSTEM_LLVM:-YES}
# Bootstrap variables (might not be kept updated for latest Rust):
RSTAGE0_VERSION=${RSTAGE0_VERSION:-1.42.0}
@@ -135,6 +135,13 @@ rm -rf $SRCNAM-$VERSION-src
tar xvf $CWD/$SRCNAM-$VERSION-src.tar.?z || exit 1
cd $SRCNAM-$VERSION-src || exit 1
+# Fixes for LLVM 10:
+zcat $CWD/rust.llvm10.7a14f9ed4fa60f4d8fc042fc678c80c14a850dc0.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/rust.llvm10.66008eb9e4e46bb5c12a215e2abe2338617c2582.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/rust.llvm10.841558d3bdc9c9510b841c438838196378741021.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/rust.llvm10.a94fa896cc92d5e0678376cf5aa8b64af0899732.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/rust.llvm10.497f879b1e24c369362bcd821959ffabc50a8a31.patch.gz | patch -p1 --verbose || exit 1
+
# Link with -lffi in case of using system LLVM:
if [ "${SYSTEM_LLVM}" = "YES" ]; then
zcat $CWD/link_libffi.diff.gz | patch -p1 --verbose || exit 1